Bug 103713 - Evolution's cal's summary doesn't take xim
Evolution's cal's summary doesn't take xim
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
: i18n
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-09-04 01:16 EDT by David Joo
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-02 01:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Joo 2003-09-04 01:16:01 EDT
Description of problem:
Evolution's Calendar's task summary doesn't take xim

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Start Evolution in any CJK locale
2. Goto calendar
3. Try to enter any characters using input method
Actual results:
Eng/locale toggle wouldn't work

Expected results:
Should be able to write local lang using XIM

Additional info:
Comment 1 Jeremy Katz 2003-09-16 17:37:46 EDT
Can you at least do so if you say New Task?  I don't think that this can really
be fixed without significant ETable changes (a quick look shows that basically
just the gtk-event is being taken and turned from a key event into a character)
Comment 2 Akira TAGOH 2003-10-23 07:00:47 EDT
Well, this issue has been fixed in CVS. FYI.
2003-10-14  Suresh Chandrasekharan  <suresh.chandrasekharan@sun.com>
        * Fix for "44222 task summary entry widget not i18ned". The following
        files are changed.

Comment 3 Akira TAGOH 2003-12-11 01:14:49 EST
I'm not sure the upstream still be planning to release 1.4.x series,
because the upstream started to release 1.5.x. but we still have this
problem on both RHEL3 and FC. so could you please backport the patch
to fix this problem?
Comment 4 Jeremy Katz 2003-12-11 09:40:13 EST
They are planning a 1.4.6 release for the next few weeks.  I'm
planning to definitely do an update for FC1 for this.  What happens
with RHEL will depend on how many regressions it looks like it causes.
Comment 5 Leon Ho 2004-04-06 21:19:55 EDT
Are we in position to push it on RHEL updates? if not we are still
happy to use this bug.
Comment 6 Leon Ho 2004-06-02 21:01:10 EDT
s/use/close/ and ping :)
Comment 7 Lawrence Lim 2004-09-02 01:16:35 EDT
Closing this bug as it is a bit out-dated.
IIIMF will be replacing XIM in the future release.


Note You need to log in before you can comment on or make changes to this bug.